Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623638 - Use same set of atomic operations on both ppc and ppc64
Use same set of atomic operations on both ppc and ppc64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 07:36 EDT by Adam Tkac
Modified: 2012-07-11 03:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
previously, bind on the 64-bit PowerPC architecture used emulated atomic operations rather than native instructions. In this updated package bind on the 64-bit PowerPC architecture uses it uses the same native atomic operations as the PowerPC architecture.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (369 bytes, patch)
2010-08-12 07:36 EDT, Adam Tkac
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0541 normal SHIPPED_LIVE bind bug fix and enhancement update 2011-05-18 13:57:36 EDT

  None (edit)
Description Adam Tkac 2010-08-12 07:36:16 EDT
Created attachment 438407 [details]
patch

PowerPC64 architecture currently doesn't gain advantage from atomic
operations. Simple patch, which makes possible to use powerpc atomic
code on powerpc64, is attached.
Comment 8 Martin Cermak 2011-03-18 06:04:50 EDT
(In reply to comment #5)

According to https://beaker.engineering.redhat.com/jobs/63067 - SanityOnly
Comment 9 Ryan Lerch 2011-04-12 19:22:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
PowerPC64 architecture used emulated atomic operations instead of native instructions. Now it uses same native atomic operations like PowerPC.
Comment 10 Ryan Lerch 2011-05-03 20:18:12 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-PowerPC64 architecture used emulated atomic operations instead of native instructions. Now it uses same native atomic operations like PowerPC.+previously, bind on the 64-bit PowerPC architecture used emulated atomic operations rather than native instructions. In this updated package bind on the 64-bit PowerPC architecture uses it uses the same native atomic operations as the PowerPC architecture.
Comment 11 errata-xmlrpc 2011-05-19 08:58:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0541.html

Note You need to log in before you can comment on or make changes to this bug.